#ifndef TMHistogrammingHitMapEq_H
#define TMHistogrammingHitMapEq_H

#include "TMHistogramming.h"
#include "TMHistogrammingHitMapChip.h"

class TH2F;
class TGaxis;

class TMHistogrammingHitMapEq : public TMHistogramming {
 public:
  TMHistogrammingHitMapEq(UInt_t eq);
  virtual ~TMHistogrammingHitMapEq();
  
  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void   ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void   Draw(TPad *pad);

  virtual void   Reset();
  virtual void   ResetAuto();

  virtual TH2F*  GetHitMap() {return fHitMap;}
  virtual UInt_t GetEq() {return fEq;}
  virtual TMHistogramming* GetHistChip(UInt_t hs, UInt_t chip) {return fHistChip[hs][chip];}

 protected:
  UInt_t fEq;
  TH2F   *fHitMap;
  TGaxis *fAxis1;
  TGaxis *fAxis2;
  TMHistogrammingHitMapChip *fHistChip[6][10];

};

#endif
